TransactionManagerLookup (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transaction
Interface TransactionManagerLookup

    public interface TransactionManagerLookup

Contract for locating the JTA `TransactionManager` on given platform.

NOTE: this contract has expanded over time, and basically is a platform abstraction contract for JTA-related information.

Method Summary
`Object` | `getTransactionIdentifier(Transaction transaction)` Determine an identifier for the given transaction appropriate for use in caching/lookup usages.
`TransactionManager` | `getTransactionManager(Properties props)` Obtain the JTA `TransactionManager`.
`String` | `getUserTransactionName()` Return the JNDI namespace of the JTA `UserTransaction` for this platform or `null`; optional operation.

Method Detail

### getTransactionManager

    TransactionManager getTransactionManager(Properties props)
                                             throws HibernateException

  Obtain the JTA `TransactionManager`.

  Parameters:
    `props` - The configuration properties.
  Returns:
    The JTA `TransactionManager`.
  Throws:
    `HibernateException` - Indicates problem locating `TransactionManager`.

### getUserTransactionName

    String getUserTransactionName()

  Return the JNDI namespace of the JTA `UserTransaction` for this platform or `null`; optional operation.

  Returns:
    The JNDI namespace where we can locate the `UserTransaction` for this platform.

### getTransactionIdentifier

    Object getTransactionIdentifier(Transaction transaction)

  Determine an identifier for the given transaction appropriate for use in caching/lookup usages.

  Generally speaking the transaction itself will be returned here. This method was added specifically for use in WebSphere and other unfriendly JEE containers (although WebSphere is still the only known such brain-dead, sales-driven impl).

  Parameters:
    `transaction` - The transaction to be identified.
  Returns:
    An appropropriate identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.